
QGIS Application - Bug report #21730

QGIS crashes on "Open project"

2019-04-02 10:36 AM - Alistair Branagh

Status: Feedback

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.4.6 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29545

Description

When I try to open a project the application crashes. It happens every time. I have been trying to move up to v3 from 2.18 but it has been

impossible due to these crashes. I am now having problems with 2.18 however as it is no longer supported I have no choice but to adapt

to the newer version for working in.

I don't know what the problem could be so would welcome input.

Crash ID: 09e6674cc2ce085fa2ac5d2e6559199ef841bb85

Stack Trace

RtlFreeHeap :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

IsEqualGUID :

IsEqualGUID :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

DllCanUnloadNow :
DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

IUnknown_SetSite :

DllGetClassObject :

DllGetClassObject :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

DllCanUnloadNow :

GetMenuStringW :

CreateDialogParamW :

CreateDialogParamW :

TranslateMessageEx :

GetMenuStringW :

GetComboBoxInfo :

DialogBoxIndirectParamAorW :

DialogBoxIndirectParamW :

DllCanUnloadNow :

QDialog::exec :

QFileDialog::getOpenFileUrl :

QFileDialog::getOpenFileName :

QgisApp::fileOpen :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.6-Madeira

QGIS code revision: cc0e375a9f

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Related to QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2019-04-02 01:03 PM - Giovanni Manghi

- Subject changed from qGIS 3.4 crash on "Open project" to QGIS crashes on "Open project"

- Category changed from Unknown to Project Loading/Saving

- Status changed from Open to Feedback

- Regression? changed from Yes to No

Can you attach/link the project (with the data of course)?

#2 - 2019-04-02 01:39 PM - Alistair Branagh

Giovanni Manghi wrote:

Can you attach/link the project (with the data of course)?

It's not project specific, as I can't even get that far. The crash happens before any option is given to select a working project.

#3 - 2019-04-02 01:42 PM - Giovanni Manghi

Alistair Branagh wrote:

Giovanni Manghi wrote:

Can you attach/link the project (with the data of course)?

It's not project specific, as I can't even get that far. The crash happens before any option is given to select a working project.

please try wiping your local QGIS configuration folder.
#4 - 2019-04-02 01:49 PM - Alistair Branagh

Giovanni Manghi wrote:

Alistair Branagh wrote:

Giovanni Manghi wrote:

Can you attach/link the project (with the data of course)?

It's not project specific, as I can't even get that far. The crash happens before any option is given to select a working project.

please try wiping your local QGIS configuration folder.

Sorry, I am not sure what you mean by that.

#5 - 2019-04-02 01:51 PM - Giovanni Manghi

Sorry, I am not sure what you mean by that.

delete the folder

C:\Users\yourusename\AppData\Roaming\QGIS

and then start qgis again.

#6 - 2019-04-02 02:50 PM - Alistair Branagh

Giovanni Manghi wrote:

Sorry, I am not sure what you mean by that.

delete the folder

C:\Users\yourusename\AppData\Roaming\QGIS

and then start qgis again.

No luck with that. Have also uninstalled and removed all program files, redownloaded launcher and reinstalled but still coming with the same bug.

#7 - 2019-04-02 02:51 PM - Giovanni Manghi

No luck with that. Have also uninstalled and removed all program files, redownloaded launcher and reinstalled

sorry
but still coming with the same bug.

rather than a bug seems a local issue, as this is, of course, not a general issue.

#8 - 2019-04-02 03:02 PM - Jürgen Fischer

Please check for tickets with a similar backtrace (eg. #18260).  Try starting QGIS with --hide-browser - I might have something installed that shows file

previews in windows explorer - that gets fired by the browser within qgis and crashes.

#9 - 2019-04-02 03:03 PM - Jürgen Fischer

- Related to Bug report #18260: qgis 3 crashes at start added

#10 - 2019-04-02 03:05 PM - Jürgen Fischer

Jürgen Fischer wrote:

Please check for tickets with a similar backtrace (eg. #18260).  Try starting QGIS with --hide-browser - I might have something installed that shows

file previews in windows explorer - that gets fired by the browser within qgis and crashes.

Oh, it doesn't crash for you on start.   Can you pinpoint the directory which is initially used to load projects on your machine?  Does it have any "uncommon"

files?

#11 - 2019-04-02 03:41 PM - Alistair Branagh

Jürgen Fischer wrote:

Jürgen Fischer wrote:

Please check for tickets with a similar backtrace (eg. #18260).  Try starting QGIS with --hide-browser - I might have something installed that shows

file previews in windows explorer - that gets fired by the browser within qgis and crashes.

Oh, it doesn't crash for you on start.   Can you pinpoint the directory which is initially used to load projects on your machine?  Does it have any

"uncommon" files?

Yeah it's a funny one. Program starts fine, also everything else seems functional i.e. creating layers, polygons, georeferencer launches fine etc.

All projects are saved on a server drive on a work network.

Most, if not all of our projects were started in 2.18. We still use it as we've found it to be more stable than 3. However it feels like since installing 3.6 a week

ago, 2.18 started playing up. Not following designated snapping options at all and crashing when attempting to save changes to shapefiles. This problem

has not been encountered on other machines. I think use of 3.4 across the network has been mixed but mostly I assumed that to be folks resistance to

change. I've certainly attempted to upgrade before and been put off by crashes but I don't recall them being as a result of this.

I've had success opening projects through file>open from recent. I've also been able to open projects by launching them from their location. At least I can

still work with the program it is just curious why that Open Project function is causing so much trouble!
